Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::values_fn Struct Reference

## Synopsis of methods
constexpr view< values_fn > | values {}

## Public Types
template<typename Rng >
using | Concept = meta::and_< InputRange< Rng >, detail::PairLike< range_reference_t< Rng > >>

## Public Member Functions
template<typename Rng , requires = (Concept<Rng>())>
values_view< all_t< Rng > > | operator() (Rng &&rng) const